BillKit/Docs Console
Tenant

Rotate tenant provider credential

Replace the payment provider API key BillKit uses to charge on your behalf.

POST/v1/tenant/provider_credential
Operation rotate_tenant_provider_credential · Scope tenant:write · Spec snapshot 2026-09-13

Parameters

ParameterDescription
api_keystringrequiredAt most 128 characters.
modeenum | nulloptionalOne of live, test.
providerconstoptionalAlways mollie. Defaults to "mollie".

Returns

Returns a TenantProviderCredentialResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the tenant:write scope.
422 Validation Error
429 Rate limited. Back off and retry.
Request · curl
curl -X POST https://api.billkit.eu/v1/tenant/provider_credential \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{"api_key":"string"}'
Request body · every field
{
  "api_key": "string",
  "mode": "live",
  "provider": "mollie"
}
Response · 200 OK
{
  "mode": "live",
  "object": "tenant_provider_credential",
  "provider": "mollie",
  "rotated_at": 1789392000,
  "tenant_id": "tenant_9XKp2vQ1"
}